using Microsoft.AspNetCore.Mvc;
using System.ComponentModel.DataAnnotations;

namespace economy.Models.Days.Holiday
{
    /*
     * 국경일 정보
     * 예시 ) http://apis.data.go.kr/B090041/openapi/service/SpcdeInfoService/getHoliDeInfo
     */

    // 검색요청 변수
    public class Request
    {
        [BindProperty(Name = "year", SupportsGet = true)]
        [Required(ErrorMessage = "검색년도를 선택해주세요.")]
        [Range(1900, 2100, ErrorMessage = "유효한 연도를 입력하세요.")]
        public int Year { get; set; } = DateTime.Now.Year;
    }
}
